tracker

A tracker for a sent message. More...

`#include <tracker.hpp>`

Inheritance diagram for tracker:
[legend]
Collaboration diagram for tracker:
[legend]

## Public Types

enum | state { NONE , RECEIVED , ACCEPTED , REJECTED , RELEASED , MODIFIED }
| Delivery state values. More...

## Public Member Functions

| tracker ()
| Create an empty tracker.
class sender | sender () const
| Get the sender for this tracker.
enum state | state () const
| Get the remote state for a delivery.
class session | session () const
| Return the session for this transfer.
class connection | connection () const
| Return the connection for this transfer.
class work_queue & | work_queue () const
| Get the work_queue for the transfer.
class container & | container () const
| Return the container for this transfer.
void | settle ()
| Settle the delivery; informs the remote end.
bool | settled () const
| Return true if the transfer has been settled.

## Detailed Description

A tracker for a sent message.

Every tracker exists within the context of a sender.

A delivery attempt can fail. As a result, a particular message may correspond to multiple trackers.

Examples
  direct_send.cpp, service_bus.cpp, and simple_send.cpp.

## Member Enumeration Documentation

## state

enum state

inherited

Delivery state values.

Enumerator
NONE | Unknown state.
RECEIVED | Received but not yet settled.
ACCEPTED | Settled as accepted.
REJECTED | Settled as rejected.
RELEASED | Settled as released.
MODIFIED | Settled as modified.

The documentation for this class was generated from the following file:

- proton/tracker.hpp